/*!
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
class Operator {
    constructor(id, overloads) {
        this.overloads = new Map();
        this.id = id;
        overloads.forEach(o => this.registerOverload(o));
    }
    registerOverload(overload) {
        this.overloads.set(overload.leftHandTypeId, overload);
    }
    getOverloadFor(leftHandTypeId) {
        return this.overloads.get(leftHandTypeId);
    }
}
exports.Operator = Operator;
