import { Condition } from "./Condition";
import { Type } from "./Type";
import { Operator } from "./Operator";
import { Filter } from "./Filter";
export declare class QueryBuilder {
    private types;
    registerType(type: Type<unknown>): void;
    private typeAliases;
    registerTypeAlias(fieldTypeId: string, dataTypeId: string): void;
    private operators;
    registerOperator(operator: Operator): void;
    private conditions;
    registerCondition(condition: Condition): void;
    private filters;
    registerFilter(filter: Filter): void;
    constructor();
    runQuery(entity: unknown, rules: any, validationOptions?: ValidationOptions): boolean;
    private evaluateRuleOrGroup;
    private evaluateRule;
    private evaluateGroup;
}
export interface ValidationOptions {
    maxRulesPerGroup?: number;
    maxRules?: number;
    maxGroups?: number;
    maxDepth?: number;
    validateOnly?: boolean;
}
